/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.stocks.service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.stocks.dto.DeviceInfoQuery;
import com.tofly.stocks.dto.DeviceInfoStoreQuery;
import com.tofly.stocks.entity.DeviceInfo;
import com.tofly.stocks.vo.*;
import org.springframework.web.multipart.MultipartFile;
/**
 * 物资设备信息表（包含物料、设备、药品）
 *
 * @author admin
 * @date Fri Nov 25 00:00:00 CST 2022
 */
public interface DeviceInfoService extends IService<DeviceInfo> {

    boolean saveDeviceInfo(DeviceInfo deviceInfo);

    boolean editDeviceInfo(DeviceInfo deviceInfo);


    Page<DeviceInfoStoreVo> getDeviceStorelistPage(Page page, DeviceInfoStoreQuery deviceInfoStoreQuery);

    boolean deleteByIds(String ids);

    void DeviceExport(DeviceInfo deviceInfo);

    boolean ImportData(MultipartFile file);

    Page<DeviceRepairVo> getDeviceRepairListPage(Page page, Long deviceId);

    Page<DeviceMaintainVo> getDeviceMaintainListPage(Page page, Long deviceId);

    Page<DevicePatrolVo> getDevicePatrolListPage(Page page, Long deviceId);

    DeviceReportVo getDeviceReport(Long deviceId);


    Page<DeviceInfo> getDataPage(Page page, DeviceInfoQuery query);
}
